#include <iostream>

using namespace std;

int main () {
	
	long int N;
	
	cin >> N;
	
	cout << N + 2 << endl;	
		
	for (int i = 0; i < N + 2; i++) {
		
		cout << 0 << " " << i << endl;
		
	}
	
	return 0;
	
}